import sys

import AccessControl.Permission

from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils

from Products.PrivacyRegistrationTool.RegistrationTool import RegistrationTool
from Products.PrivacyRegistrationTool.config import RESET_PERMISSION, RegistrationToolName

AccessControl.Permission.registerPermissions(
    ((RESET_PERMISSION, (), ('Manager',)),)
)

privacy_globals = globals()
registerDirectory('skins', privacy_globals)

tools = (RegistrationTool,)


def initialize(context):
    utils.ToolInit(RegistrationToolName,
                   tools = tools,
                   product_name = 'PrivacyRegistrationTool',
                   icon='tool.gif'
                   ).initialize(context)


